<?php
$wp_customize->add_section(
    'pagination_options',
    array(
        'title' => esc_html__( 'Pagination Options', 'newsmaster' ),
        'panel' => 'archive_options_panel',
    )
);


$wp_customize->add_setting(
    'newsmaster_options[select_pagination_style]',
    array(
        'default'           => $newsmaster_default['select_pagination_style'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[select_pagination_style]',
    array(
        'label'         => esc_html__( 'Select Pagination Style', 'newsmaster' ),
        'section'     => 'pagination_options',
        'type'        => 'select',
        'choices'       => newsmaster_pagination_style_choice(),

    )
);


$wp_customize->add_section(
    'excerpt_options',
    array(
        'title' => esc_html__( 'Excerpt Options', 'newsmaster' ),
        'panel' => 'archive_options_panel',
    )
);

$wp_customize->add_setting(
    'newsmaster_options[number_of_word_in_excerpt]',
    array(
        'default'           => $newsmaster_default['number_of_word_in_excerpt'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'newsmaster_options[number_of_word_in_excerpt]',
    array(
        'label'         => esc_html__( 'Number Of Excerpt Word', 'newsmaster' ),
        'section'     => 'excerpt_options',
        'type'        => 'number',

    )
);


$wp_customize->add_setting(
    'newsmaster_options[excerpt_posts_title_limit]',
    array(
        'default'           => $newsmaster_default['excerpt_posts_title_limit'],
        'sanitize_callback' => 'newsmaster_sanitize_select',
    )
);
$wp_customize->add_control(
    'newsmaster_options[excerpt_posts_title_limit]',
    array(
        'label'    => __( 'Excerpt Line Limit', 'newsmaster' ),
        'section'  => 'excerpt_options',
        'type'     => 'select',
        'choices'  => newsmaster_line_limit_choices(),
    )
);

$wp_customize->add_setting(
    'newsmaster_options[archive_excerpt_button_text]',
    array(
        'default'           => $newsmaster_default['archive_excerpt_button_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'newsmaster_options[archive_excerpt_button_text]',
    array(
        'label'    => __( 'Excerpt Button Text', 'newsmaster' ),
        'section'  => 'excerpt_options',
        'type'     => 'text',
    )
);